#include <Arduino.h>
#include <Servo.h> 
#include <IRremote.h> 
void setup();
void loop();
void RGHT(int speed);
void LEFT(int speed);
void STOP(int speed);
void BLINK(int bl);
#line 1 "src/servo-360-IR.ino"


//#include <Servo.h> 
//#include <IRremote.h> 

#define cod_0 0x40BF
#define cod_1 0xC03F
#define cod_2 0xE01F
#define cod_3 0x807F
#define cod_4 0x0827
#define cod_5 0x20DF

// remote control
int IR_signal = A0;
IRrecv irrecv(IR_signal);
decode_results results;

const int MAX_ARRIERE=1200; // ANGLE_MIN 1000
const int ARRET=1490; // ANGLE_MEDIANE 1490
const int MAX_AVANT=1800; // ANGLE_MAX 2000

const int broche_servoG=5; // broche 2
const int broche_servoD=9; // broche 3

Servo servoD;  // servomoteur Droit
Servo servoG;  // servomoteur Gauche

void setup()   { 
Serial.begin(9600);  //115200
 pinMode (broche_servoD,OUTPUT); 
 pinMode (broche_servoG,OUTPUT); 
 pinMode (13,OUTPUT); 
Serial.println("Servo-360-IR Version: 190315");
// IR
pinMode(IR_signal, INPUT);
irrecv.enableIRIn();
}

void loop(){ 
if (irrecv.decode(&results)) {
unsigned int value = results.value;
Serial.println(value, HEX);

switch(value){

case cod_1:
BLINK(1);
RGHT(2000);
LEFT(1000);
break;

case cod_2:
BLINK(2);
RGHT(1000);
LEFT(2000);
break;

case cod_3:
BLINK(3);
RGHT(1350);//500
LEFT(1350);//500
break;

case cod_4: //non operational ???
BLINK(4);
RGHT(800);
LEFT(2000);
break;

case cod_0:
STOP(0);
break;


} // switch
irrecv.resume();
} 
} //IR


/////////////// Functions /////////////////

void RGHT(int speed){
servoD.attached();
servoD.attach(broche_servoD);
servoD.writeMicroseconds(speed); 
//delay(1000);
//servoD.detach(); 
delay(500);
//Serial.println(5);
}

void LEFT(int speed){
 servoD.attached();
servoG.attach(broche_servoG);
servoG.writeMicroseconds(speed); 
delay(500);
//servoG.detach(); 
//delay(1000);
}

void STOP(int speed){
servoD.detach(); 
servoG.detach(); 
BLINK(6);
digitalWrite(13,LOW);
delay(1000);
}

void BLINK(int bl){
for(int i=0;i < bl; i++){
digitalWrite(13,LOW); delay(70);
digitalWrite(13,HIGH); delay(70);
}}

 
